Description

Hello,

I thought it would be very useful if the current query functionality was extended, so the query could optionally return more information

than just hostnames - any other facts, parameters, classes etc.

Something like:

{

"fact"=>{"domain"=>"domain", "puppetversion"=>"0.24.4"},

"class" => ["common","my_special_class"]

"to_return" => ["fqdn","ipaddress"]

}

Associated revisions

Revision fdc22cbd - 05/06/2010 04:41 PM - Ohad Levy

fixes #180 - Query to return more information

Revision 95131ca2 - 05/06/2010 04:48 PM - Ohad Levy

refs #180, updated query library to use verbose mode

History

#1 - 03/17/2010 02:36 PM - Ohad Levy

yeah, this makes a lot of sense, especially if you plan on doing some collection like (e.g. in a puppet function) without storeconfigs

#2 - 03/22/2010 03:10 PM - Dis Connect

We use this sort of functionality in iclassify quite a lot. It'd be nice to have here also :)

Couple of examples:

- "what vms are on a particular physical host" (get "hostname, classes" where "vhost_hostname:host10")

- 'what nodes are on each fileserver ip' (for each fileserver ip, show the hosts with that IP in facts and a particular class, count w/ wc, then total the

whole thing per ip and overall)

#3 - 04/03/2010 03:28 PM - Ohad Levy

- Category set to 19

- Status changed from New to Assigned

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#4 - 05/03/2010 07:58 PM - Bash Shell

I'd like to up-vote this feature.
Thanks

#5 - 05/06/2010 04:42 PM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset fdc22cbd149adba6a0ee7934abfc521a38182c63.

#6 - 05/06/2010 04:50 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#7 - 10/16/2018 01:31 PM - Tomer Brisker

- Category changed from 19 to Search
